{
  "swagger": "2.0",
  "info": {
    "description": "The time tracking REST APIs enable you to access time tracking information. These APIs provide the ability to: \n* Enable workers to check in and check out of work and to review and modify their recent check-ins and check-outs. \n\n* Enable managers to check in and check out of work for a worker.\n\n* View workers who are currently checked in for work.\n\n* Review and modify a worker's check-ins and check-outs. \n\n* View and create time blocks.\n\n* View time entry validations for a worker.\n\n* View period schedule for a worker.",
    "version": "v6",
    "title": "timeTracking",
    "x-workday-confidence-level": "Production",
    "x-workday-internal-source": "xo",
    "x-workday-internal-routing": "Public",
    "x-workday-internal-protected-usage-enabled": false,
    "x-workday-internal-service-container-id": "ba74f44bc90e107329f638ba9689003b"
  },
  "host": "<tenantHostname>",
  "basePath": "/timeTracking/v6",
  "tags": [
    {
      "name": "timeAttestationPrompts",
      "description": "Provides the ability to get the time attestation prompts that a worker would need to answer when checking in or out. Use all four fields of timeZone, worker, eventType, and dateTime to simulate the time clock event to retrieve the prompts that would be available on desktop. The prompts and their responses will be used to create worker time attestations. These worker time attestations would then be used when creating the actual time clock events.",
      "x-workday-confidence-level": "Production"
    },
    {
      "name": "timeClockEvents",
      "description": "These public APIs are designed to open up foundational Time Tracking functionality in REST. Use this API to give employees the ability to check in and check out of work and to review and modify their recent check-ins and check-outs. You can also use this API to enable managers to check in and check out of work for a worker, to view workers who are currently checked in for work, and to review and modify a worker's check-ins and check-outs."
    },
    {
      "name": "timeValidations",
      "description": "Provides access to custom time entry validation information in Workday. These REST APIs enable employees to view validations related to the time they just entered, and managers to view validations related to the time they are reviewing."
    },
    {
      "name": "workerTimeAttestation",
      "description": "Provides access to worker time attestation information in Workday. These REST APIs enable users to view worker time attestations related to the time entered and to create worker time attestations. There is no query. To view a worker time attestation provide the ID in the URL. IDs are returned in the workerTimeAttestation field of GET /timeClockEvent and in the ID field of POST /workerTimeAttestation."
    },
    {
      "name": "workerTimeBlocks",
      "description": "Provides access to worker time block information in Workday."
    },
    {
      "name": "workers",
      "description": "Retrieves staffing information about workers. This resource also provides the ability to create, update, delete, and archive check-ins and check-in topics."
    },
    {
      "name": "Prompt Values",
      "description": "Retrieves instances that can be used as values for other endpoint parameters in this service."
    }
  ],
  "schemes": [
    "https"
  ],
  "paths": {
    "/workerTimeAttestation/{ID}/followupWorkerTimeAttestation": {
      "get": {
        "tags": [
          "workerTimeAttestation"
        ],
        "description": "\n\n<b>Secured By Domain:</b> Process: Time Clock Event REST API's\n\n<b>Scope:</b> Time Tracking",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/workerTimeAttestationView_1beff00ce821100020d7c3b93f4d0000"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A2822 | Specify a value for comment. |\n| Critical | A2824 | Specify a response. |\n| Critical | A2825 | This workerTimeAttestation has no followup time attestation prompt to answer: [parentWorkerTimeAttestation]. |\n| Critical | A2831 | Specify a prompt. |\n| Critical | A2832 | Specify a valid response. This response isn't valid for this time attestation prompt: [timeAttestationPromptResponse]. |\n| Critical | A2835 | Specify a valid followup time attestation prompt. This prompt isn't a valid followup time attestation prompt to [workerTimeAttestation]. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "a1d4845f6ddd100014f5c59b24ae0000",
        "x-workday-secured-by-domains": [
          "Process: Time Clock Event REST API's"
        ]
      }
    },
    "/timeValidations": {
      "get": {
        "tags": [
          "timeValidations"
        ],
        "summary": "Retrieves a collection of time entry validations.",
        "description": "Retrieves a collection of time entry validations for the specified worker on the specified date. This method requires the date and worker query parameters.\n\nThe validation messages returned by this method indicate that the time entries failed the critical or warning custom validations configured in the Maintain Time Entry Validations task.\n\n<b>Secured By Domain:</b> Process: Time Block REST APIs\n\n<b>Scope:</b> Time Tracking",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "date",
            "in": "query",
            "description": "The required date that determines the time entry validations. The method validates the time entries within week or time period of the specified date.",
            "required": false,
            "type": "string",
            "format": "date"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "worker",
            "in": "query",
            "description": "The required Workday ID of the worker who entered the time entries.",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/timeValidationView_76581637ef2410001ded866e9111001a"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "aecc266715b010001358273a212917f5",
        "x-workday-secured-by-domains": [
          "Process: Time Block REST APIs"
        ]
      }
    },
    "/values/timeTypes/timeEntryCodes/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "date",
          "in": "query",
          "description": "The effective date to look up time types for a given worker.",
          "required": false,
          "type": "string",
          "format": "date"
        },
        {
          "name": "inOutCodeOnly",
          "in": "query",
          "description": "If true, returns only Time Entry Codes of the type In/Out. You must use these types with POST Time Clock Event.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "project",
          "in": "query",
          "description": "The Workday ID of a project, used to filter the projectPlanTasks resource down to project plan tasks from a given project.",
          "required": false,
          "type": "string"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        },
        {
          "name": "worker",
          "in": "query",
          "description": "The Workday ID of the worker to look up time types for.",
          "required": false,
          "type": "string"
        }
      ]
    },
    "/values/timeValues/positions/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "date",
          "in": "query",
          "description": "The effective date to look up time values for a given worker.",
          "required": false,
          "type": "string",
          "format": "date"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        },
        {
          "name": "worker",
          "in": "query",
          "description": "The Workday ID of the worker to look up time values for.",
          "required": false,
          "type": "string"
        }
      ]
    },
    "/workerTimeAttestation": {
      "post": {
        "tags": [
          "workerTimeAttestation"
        ],
        "description": "\n\n<b>Secured By Domain:</b> Process: Time Clock Event REST API's\n\n<b>Scope:</b> Time Tracking",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "in": "body",
            "name": "workerTimeAttestationCreate",
            "required": true,
            "schema": {
              "$ref": "#/definitions/workerTimeAttestationCreate_e6141de0347810001cba9a2683240000"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Resource created.",
            "schema": {
              "$ref": "#/definitions/workerTimeAttestationCreate_e6141de0347810001cba9a2683240000"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A2822 | Specify a value for comment. |\n| Critical | A2823 | Specify a valid eventType for the Worker for the specified date. This eventType isn't valid: [eventType]. Run the GET /values/timeValues/outReason to retrieve valid event types. |\n| Critical | A2824 | Specify a response. |\n| Critical | A2826 | Specify a value for dateTime. |\n| Critical | A2827 | The specified value is for a followup time attestation prompt: [timeAttestationRulePrompt]. Specify either a parent time attestation prompt or use this followup attestation prompt with a followup worker time attestation. |\n| Critical | A2828 | Specify a timeAttestationPrompt. Run the GET TimeAttestationPrompt operation to retrieve the valid time attestation prompts. |\n| Critical | A2829 | Specify a value for eventType. |\n| Critical | A2830 | Specify a valid time attestation prompt. This time attestation prompt isn't valid for this combination of worker, eventType, dateTime, and timeZone. |\n| Critical | A2832 | Specify a valid response. This response isn't valid for this time attestation prompt: [timeAttestationPromptResponse]. |\n| Critical | A2833 | Specify a value for worker. Run the GET worker operation to retrieve valid worker names and IDs. |\n| Critical | A2834 | Specify a value for timeZone. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "e6141de0347810001c8032fa71930000",
        "x-workday-secured-by-domains": [
          "Process: Time Clock Event REST API's"
        ]
      }
    },
    "/values/enterTimeByType/timeTypeNested/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Provides a nested prompt for Time Tracking Time Types, similar prompt structure to the one provided in UI prompts. Currently does not support Time Offs.",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/timeTypeNested_0b8f058ceccd100092100f7f84980000"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "endDate",
          "in": "query",
          "description": "End date of the time period the worker is creating a time entry for.",
          "required": false,
          "type": "string",
          "format": "date"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        },
        {
          "name": "startDate",
          "in": "query",
          "description": "Start date of the time period the worker is creating a time entry for.",
          "required": false,
          "type": "string",
          "format": "date"
        },
        {
          "name": "worker",
          "in": "query",
          "description": "Worker for which Time Type is needed.",
          "required": false,
          "type": "string"
        }
      ]
    },
    "/values/timeTypes/defaultTimeEntryCode/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "date",
          "in": "query",
          "description": "The effective date to look up time types for a given worker.",
          "required": false,
          "type": "string",
          "format": "date"
        },
        {
          "name": "inOutCodeOnly",
          "in": "query",
          "description": "If true, returns only Time Entry Codes of the type In/Out. You must use these types with POST Time Clock Event.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "project",
          "in": "query",
          "description": "The Workday ID of a project, used to filter the projectPlanTasks resource down to project plan tasks from a given project.",
          "required": false,
          "type": "string"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        },
        {
          "name": "worker",
          "in": "query",
          "description": "The Workday ID of the worker to look up time types for.",
          "required": false,
          "type": "string"
        }
      ]
    },
    "/workers/{ID}/workerTimeBlock": {
      "post": {
        "tags": [
          "workers"
        ],
        "summary": "Creates a worker time block.",
        "description": "Creates a worker time block for the specified worker. Specify these required fields in the request body:\n\n* calendarDate and reportedQuantity - If the worker is hourly.\n\n* Time-in/time-out fields for an in/out worker - the shape of these fields depends on the API version. See the version comparison below.\n\n* One of timeEntryCode, project, or projectPlanTask. These fields are mutually exclusive. Specify 1 of these fields in the request body.\n\nFor the timeEntryCode id, you can use a returned id from GET /values/timeTypes/timeEntryCodes, which returns the time entry codes that the given worker is eligible for on the given date. \n\nFor a valid project id, you can use a returned id from GET /values/timeTypes/projects, which you can filter by date and worker.\n\nFor a valid projectPlanTask id, you can use a returned id from GET /values/timeTypes/projectPlanTasks, which you can filter by date, worker, and project.\n\nVERSION COMPARISON - in/out time fields:\n\nv2 through v6 (legacy): use the flat fields inTime, outTime, inTimeZone, and outTimeZone. \n\nSample request body:\n\n{\n  \"calendarDate\": \"2024-11-03\",\n  \"inTime\": \"2024-11-03T01:00:00.000\",\n  \"outTime\": \"2024-11-03T03:00:00.000\",\n  \"inTimeZone\": \"America/Los_Angeles\",\n  \"outTimeZone\": \"America/Los_Angeles\",\n  \"timeEntryCode\": { \"id\": \"timeEntryCodeWID\" }\n}\n\nv7(current): use the nested inTimeWithTimeZone and outTimeWithTimeZone objects instead of the flat fields above. Each object requires 2 sub-fields: \na) timeZone (a valid IANA time zone identifier, for example America/Los_Angeles) \nb) dateTime (an ISO 8601 date-time with offset, for example 2024-11-03T01:00:00.000-07:00). \n\nSample request body:\n\n{\n  \"calendarDate\": \"2024-11-03\",\n  \"inTimeWithTimeZone\": {\n    \"timeZone\": \"America/Los_Angeles\",\n    \"dateTime\": \"2024-11-03T01:00:00.000-07:00\"\n  },\n  \"outTimeWithTimeZone\": {\n    \"timeZone\": \"America/Los_Angeles\",\n    \"dateTime\": \"2024-11-03T03:00:00.000-08:00\"\n  },\n  \"timeEntryCode\": { \"id\": \"timeEntryCodeWID\" }\n}\n\nNote: as of v7, the legacy flat inTime, outTime, inTimeZone, and outTimeZone fields are no longer accepted; requests submitted to v7 using those fields are rejected.\n\n<b>Secured By Domain:</b> Process: Time Block REST APIs\n\n<b>Scope:</b> Time Tracking",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "in": "body",
            "name": "timeBlockView",
            "required": true,
            "schema": {
              "$ref": "#/definitions/timeBlockView_18442114504f100016031395a48200ee"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Resource created.",
            "schema": {
              "$ref": "#/definitions/timeBlockView_18442114504f100016031395a48200ee"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A693 | Remove Custom Organization 07. Custom Organization 07 is not allowed. |\n| Critical | A695 | Enter a Custom Organization 04. A Custom Organization 04 is required by the time entry code. |\n| Critical | A696 | Remove Custom Worktag 15. Custom Worktag 15 is not allowed. |\n| Critical | A697 | Enter a Custom Worktag 13. A Custom Worktag 13 is required by the time entry code. |\n| Critical | A699 | Period schedule does not exist for the \\~worker\\~, [worker], as of [date]. |\n| Critical | A701 | Enter a Custom Worktag 02. A Custom Worktag 02 is required by the time entry code. |\n| Critical | A702 | Out Type [Out Type] is not valid for this time type [Time Entry Code]. Enter a valid Out Type. |\n| Critical | A703 | Remove Custom Organization 02. Custom Organization 02 is not allowed. |\n| Critical | A704 | More than 24 hours have been reported by the \\~worker\\~, [worker], on [date]. |\n| Critical | A705 | The field Out Reason is required and must have a value. |\n| Critical | A707 | Time Entry Code [tec] is not valid for [worker]. |\n| Critical | A708 | Remove Override Rate. Override Rate is not allowed by the time entry code. |\n| Critical | A710 | Enter a Custom Worktag 01. A Custom Worktag 01 is required by the time entry code. |\n| Critical | A711 | Remove Custom Worktag 03. Custom Worktag 03 is not allowed. |\n| Critical | A712 | Enter a Location. A Location is required by the time entry code. |\n| Critical | A713 | Remove Custom Worktag 10. Custom Worktag 10 is not allowed. |\n| Critical | A714 | Enter a Custom Worktag 04. A Custom Worktag 04 is required by the time entry code. |\n| Critical | A716 | Remove Project Plan Task because the time entry template is not configured for project time entry. |\n| Critical | A717 | Enter a Custom Organization 02. A Custom Organization 02 is required by the time entry code. |\n| Critical | A719 | Reported Quantity is not valid because the time type [Time Entry Code] is In/Out Time only. Enter an In Time and Out Time. |\n| Critical | A720 | Enter true in the Do Not Bill field. The reported project is not billable. |\n| Critical | A721 | Remove Cost Center. Cost Center is not allowed. |\n| Critical | A722 | Enter a Job Profile. A Job Profile is required by the time entry code. |\n| Critical | A723 | Remove Custom Worktag 13. Custom Worktag 13 is not allowed. |\n| Critical | A724 | Enter a Custom Worktag 06. A Custom Worktag 06 is required by the time entry code. |\n| Critical | A725 | Enter a Cost Center. A Cost Center is required by the time entry code. |\n| Critical | A727 | Remove Custom Organization 01. Custom Organization 01 is not allowed. |\n| Critical | A728 | Remove Custom Worktag 12. Custom Worktag 12 is not allowed. |\n| Critical | A729 | Remove Custom Organization 10. Custom Organization 10 is not allowed. |\n| Critical | A730 | Remove Region. Region is not allowed. |\n| Critical | A731 | Enter a Custom Organization 05. A Custom Organization 05 is required by the time entry code. |\n| Critical | A732 | Enter a Region. A Region is required by the time entry code. |\n| Critical | A733 | Calendar Date is not allowed for Time Entry Code - [Time Entry Code]. |\n| Critical | A734 | Time Entry Template does not exist for the \\~worker\\~, [worker], as of [date]. |\n| Critical | A736 | Enter an Out Time. Out Time is required for time type - [Time Entry Code]. |\n| Critical | A737 | The Worker in the URL must match [worker]. |\n| Critical | A738 | Remove Custom Organization 05. Custom Organization 05 is not allowed. |\n| Critical | A739 | Enter a Gift. A Gift is required by the time entry code. |\n| Critical | A740 | Remove Location. Location is not allowed. |\n| Critical | A741 | Enter a Custom Organization 07. A Custom Organization 07 is required by the time entry code. |\n| Critical | A742 | Remove Business Unit. Business Unit is not allowed. |\n| Critical | A743 | Remove Project because the time entry template is not configured for project time entry. |\n| Critical | A744 | Hours must be entered in increments as specified on Time Entry Code [Time Entry Code] for [Worker]. |\n| Critical | A745 | Any time which crosses [week breaker] must be entered as two separate blocks. Enter one block before [week breaker] and one after. |\n| Critical | A746 | Remove Program. Program is not allowed. |\n| Critical | A747 | Enter a Custom Worktag 05. A Custom Worktag 05 is required by the time entry code. |\n| Critical | A748 | Remove Custom Organization 04. Custom Organization 04 is not allowed. |\n| Critical | A750 | Enter a Grant. A Grant is required by the time entry code. |\n| Critical | A751 | Remove Custom Worktag 05. Custom Worktag 05 is not allowed. |\n| Critical | A752 | Enter either a Time Entry Code, Project, or Project Plan Task. |\n| Critical | A753 | Enter a Fund. A Fund is required by the time entry code. |\n| Critical | A754 | The following worktags are not enabled for self-service edit in worker's time entry template: [worktags not enabled]. |\n| Critical | A755 | Enter a Custom Worktag 08. A Custom Worktag 08 is required by the time entry code. |\n| Critical | A757 | Enter a Business Unit. A Business Unit is required by the time entry code. |\n| Critical | A758 | Time overlaps with existing time. You entered [in time] - [out time], which overlaps with the following existing entries: [existing entries]. |\n| Critical | A759 | Out Date Time must be greater than In Date Time. |\n| Critical | A760 | Remove Custom Worktag 07. Custom Worktag 07 is not allowed. |\n| Critical | A761 | Remove Custom Organization 08. Custom Organization 08 is not allowed. |\n| Critical | A763 | Remove Custom Organization 09. Custom Organization 09 is not allowed. |\n| Critical | A764 | Remove Custom Worktag 09. Custom Worktag 09 is not allowed. |\n| Critical | A765 | In Time Zone and Out Time Zone are not valid for the time type [Time Entry Code]. Enter a Calendar Date. |\n| Critical | A766 | Remove Custom Worktag 01. Custom Worktag 01 is not allowed. |\n| Critical | A767 | Enter a Custom Organization 06. A Custom Organization 06 is required by the time entry code. |\n| Critical | A768 | Remove Custom Worktag 02. Custom Worktag 02 is not allowed. |\n| Critical | A769 | Enter a Custom Organization 09. A Custom Organization 09 is required by the time entry code. |\n| Critical | A770 | Enter a Custom Worktag 11. A Custom Worktag 11 is required by the time entry code. |\n| Critical | A771 | Enter a Reported Quantity. Reported Quantity is required for time type - [Time Entry Code]. |\n| Critical | A773 | Remove Fund. Fund is not allowed. |\n| Critical | A774 | Remove Custom Worktag 08. Custom Worktag 08 is not allowed. |\n| Critical | A776 | Enter a Custom Worktag 15. A Custom Worktag 15 is required by the time entry code. |\n| Critical | A777 | Remove Grant. Grant is not allowed. |\n| Critical | A778 | The [worktag type] entered for [worker] on [date] is inactive. Remove or replace it to proceed. |\n| Critical | A780 | [worker] cannot use the project, [project], to report the time on [date]. |\n| Critical | A781 | Enter an Out Time Zone. Out Time Zone is required for time type - [time entry code]. |\n| Critical | A783 | Remove Job Profile. Job Profile is not allowed. |\n| Critical | A784 | Remove Custom Organization 03. Custom Organization 03 is not allowed. |\n| Critical | A785 | Enter a Custom Organization 08. A Custom Organization 08 is required by the time entry code. |\n| Critical | A786 | Enter either a Calendar Date or these fields: In Time, Out Time, In Time Zone, Out Time Zone. |\n| Critical | A787 | Enter a Position. Position is required for \\~workers\\~ with multiple positions. |\n| Critical | A788 | Enter a Custom Worktag 03. A Custom Worktag 03 is required by the time entry code. |\n| Critical | A789 | [date] is locked for time entry for [worker]. |\n| Critical | A790 | Remove Custom Organization 06. Custom Organization 06 is not allowed. |\n| Critical | A791 | Enter a Custom Worktag 07. A Custom Worktag 07 is required by the time entry code. |\n| Critical | A792 | Remove Custom Worktag 04. Custom Worktag 04 is not allowed. |\n| Critical | A795 | Remove Custom Worktag 06. Custom Worktag 06 is not allowed. |\n| Critical | A796 | The following worktags are required: [related_required_worktags]. |\n| Critical | A797 | [worker] cannot use the task, [task], to report time on [date]. |\n| Critical | A798 | Enter a \\~Worker\\~. |\n| Critical | A799 | Enter a Custom Worktag 10. A Custom Worktag 10 is required by the time entry code. |\n| Critical | A800 | Enter an In Time Zone. In Time Zone is required for time type - [time entry code]. |\n| Critical | A801 | Enter an In Time. In Time is required for time type - [Time Entry Code]. |\n| Critical | A802 | Enter a Custom Worktag 12. A Custom Worktag 12 is required by the time entry code. |\n| Critical | A803 | Remove Gift. Gift is not allowed. |\n| Critical | A804 | Enter a Custom Organization 01. A Custom Organization 01 is required by the time entry code. |\n| Critical | A805 | Enter a Program. A Program is required by the time entry code. |\n| Critical | A806 | Enter a Custom Worktag 09. A Custom Worktag 09 is required by the time entry code. |\n| Critical | A807 | Remove Custom Worktag 14. Custom Worktag 14 is not allowed. |\n| Critical | A808 | In Time and Out Time are not valid for the time type [Time Entry Code]. Enter a Reported Quantity in [Units]. |\n| Critical | A809 | Enter a Custom Organization 10. A Custom Organization 10 is required by the time entry code. |\n| Critical | A811 | Out Type is not valid for this time type [Time Entry Code]. Enter a Reported Quantity in [Units]. |\n| Critical | A812 | Enter a Calendar Date. Calendar Date is required for time type - [Time Entry Code]. |\n| Critical | A814 | Enter a Custom Organization 03. A Custom Organization 03 is required by the time entry code. |\n| Critical | A815 | Remove Position. Position is not required for \\~Workers\\~ with a single position. |\n| Critical | A815 | The position [position] is not valid for [worker] on [time block reported date]. |\n| Critical | A816 | Enter a Custom Worktag 14. A Custom Worktag 14 is required by the time entry code. |\n| Critical | A817 | Remove Custom Worktag 11. Custom Worktag 11 is not allowed. |\n| Critical | A935 | You are not eligible to enter against the \\~project role\\~. |\n| Critical | A936 | You cannot enter a \\~project role\\~. |\n| Critical | A937 | Enter a \\~project role\\~. \\~Project role\\~ is required for \\~workers\\~ with multiple \\~project roles\\~. |\n| Critical | A938 | The field Comment is required and must have a value. |\n| Critical | A1261 | Enter an Appropriation. An Appropriation is required by the time entry code. |\n| Critical | A1262 | Enter an Allocation Pool. An Allocation Pool is required by the time entry code. |\n| Critical | A1263 | Remove Appropriation. Appropriation is not allowed. |\n| Critical | A1264 | Remove Allocation Pool. Allocation Pool is not allowed. |\n| Critical | A3083 | You can't create or edit the time block for [worker] on [date] because you don't have access to this time entry code: [time entry code from request]. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "498aa253df7d10002817eb4ed57b023f",
        "x-workday-secured-by-domains": [
          "Process: Time Block REST APIs"
        ]
      }
    },
    "/workers": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves a collection of workers and current staffing information.",
        "description": "Retrieves a collection of workers and current staffing information.\n\n<b>Secured By Domain:</b> FLW Service, Self-Service: Current Staffing Information, Worker Data: Public Worker Reports\n\n<b>Scope:</b> Staffing",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "filterByOrgVisibility",
            "in": "query",
            "description": "Only return workers whose supervisory organizations are visible to the processing user.  This requires the 'Enable Restrictions on Worker Prompts Based on Supervisory Org Visibility Settings' setting to be enabled in Edit Tenant Setup - System.",
            "required": false,
            "type": "boolean"
          },
          {
            "name": "includeTerminatedWorkers",
            "in": "query",
            "description": "Include terminated workers in the output",
            "required": false,
            "type": "boolean"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "search",
            "in": "query",
            "description": "Searches workers by name or worker ID. The search is case-insensitive. You can include space-delimited search strings for an OR search.",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/workerData_c2466b0778c610000d1936006720000e"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "c2466b0778c610000cdf9abc4fbc000c",
        "x-workday-secured-by-domains": [
          "FLW Service",
          "Self-Service: Current Staffing Information",
          "Worker Data: Public Worker Reports"
        ]
      }
    },
    "/workers/{ID}/workerTimeBlock/{subresourceID}": {
      "delete": {
        "tags": [
          "workers"
        ],
        "summary": "Deletes a specified worker time block.",
        "description": "Deletes a worker time block with the specified ID for the specified worker.\n\n<b>Secured By Domain:</b> Process: Time Block REST APIs\n\n<b>Scope:</b> Time Tracking",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Worker_Time_Block_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Worker_Time_Block_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Deleting resource."
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A693 | Remove Custom Organization 07. Custom Organization 07 is not allowed. |\n| Critical | A695 | Enter a Custom Organization 04. A Custom Organization 04 is required by the time entry code. |\n| Critical | A696 | Remove Custom Worktag 15. Custom Worktag 15 is not allowed. |\n| Critical | A697 | Enter a Custom Worktag 13. A Custom Worktag 13 is required by the time entry code. |\n| Critical | A699 | Period schedule does not exist for the \\~worker\\~, [worker], as of [date]. |\n| Critical | A701 | Enter a Custom Worktag 02. A Custom Worktag 02 is required by the time entry code. |\n| Critical | A702 | Out Type [Out Type] is not valid for this time type [Time Entry Code]. Enter a valid Out Type. |\n| Critical | A703 | Remove Custom Organization 02. Custom Organization 02 is not allowed. |\n| Critical | A704 | More than 24 hours have been reported by the \\~worker\\~, [worker], on [date]. |\n| Critical | A705 | The field Out Reason is required and must have a value. |\n| Critical | A706 | You can only delete user entered time blocks. |\n| Critical | A707 | Time Entry Code [tec] is not valid for [worker]. |\n| Critical | A708 | Remove Override Rate. Override Rate is not allowed by the time entry code. |\n| Critical | A710 | Enter a Custom Worktag 01. A Custom Worktag 01 is required by the time entry code. |\n| Critical | A711 | Remove Custom Worktag 03. Custom Worktag 03 is not allowed. |\n| Critical | A712 | Enter a Location. A Location is required by the time entry code. |\n| Critical | A713 | Remove Custom Worktag 10. Custom Worktag 10 is not allowed. |\n| Critical | A714 | Enter a Custom Worktag 04. A Custom Worktag 04 is required by the time entry code. |\n| Critical | A716 | Remove Project Plan Task because the time entry template is not configured for project time entry. |\n| Critical | A717 | Enter a Custom Organization 02. A Custom Organization 02 is required by the time entry code. |\n| Critical | A720 | Enter true in the Do Not Bill field. The reported project is not billable. |\n| Critical | A721 | Remove Cost Center. Cost Center is not allowed. |\n| Critical | A722 | Enter a Job Profile. A Job Profile is required by the time entry code. |\n| Critical | A723 | Remove Custom Worktag 13. Custom Worktag 13 is not allowed. |\n| Critical | A724 | Enter a Custom Worktag 06. A Custom Worktag 06 is required by the time entry code. |\n| Critical | A725 | Enter a Cost Center. A Cost Center is required by the time entry code. |\n| Critical | A727 | Remove Custom Organization 01. Custom Organization 01 is not allowed. |\n| Critical | A728 | Remove Custom Worktag 12. Custom Worktag 12 is not allowed. |\n| Critical | A729 | Remove Custom Organization 10. Custom Organization 10 is not allowed. |\n| Critical | A730 | Remove Region. Region is not allowed. |\n| Critical | A731 | Enter a Custom Organization 05. A Custom Organization 05 is required by the time entry code. |\n| Critical | A732 | Enter a Region. A Region is required by the time entry code. |\n| Critical | A734 | Time Entry Template does not exist for the \\~worker\\~, [worker], as of [date]. |\n| Critical | A736 | Enter an Out Time. Out Time is required for time type - [Time Entry Code]. |\n| Critical | A737 | The Worker in the URL must match [worker]. |\n| Critical | A738 | Remove Custom Organization 05. Custom Organization 05 is not allowed. |\n| Critical | A739 | Enter a Gift. A Gift is required by the time entry code. |\n| Critical | A740 | Remove Location. Location is not allowed. |\n| Critical | A741 | Enter a Custom Organization 07. A Custom Organization 07 is required by the time entry code. |\n| Critical | A742 | Remove Business Unit. Business Unit is not allowed. |\n| Critical | A743 | Remove Project because the time entry template is not configured for project time entry. |\n| Critical | A744 | Hours must be entered in increments as specified on Time Entry Code [Time Entry Code] for [Worker]. |\n| Critical | A745 | Any time which crosses [week breaker] must be entered as two separate blocks. Enter one block before [week breaker] and one after. |\n| Critical | A746 | Remove Program. Program is not allowed. |\n| Critical | A747 | Enter a Custom Worktag 05. A Custom Worktag 05 is required by the time entry code. |\n| Critical | A748 | Remove Custom Organization 04. Custom Organization 04 is not allowed. |\n| Critical | A750 | Enter a Grant. A Grant is required by the time entry code. |\n| Critical | A751 | Remove Custom Worktag 05. Custom Worktag 05 is not allowed. |\n| Critical | A753 | Enter a Fund. A Fund is required by the time entry code. |\n| Critical | A754 | The following worktags are not enabled for self-service edit in worker's time entry template: [worktags not enabled]. |\n| Critical | A755 | Enter a Custom Worktag 08. A Custom Worktag 08 is required by the time entry code. |\n| Critical | A757 | Enter a Business Unit. A Business Unit is required by the time entry code. |\n| Critical | A758 | Time overlaps with existing time. You entered [in time] - [out time], which overlaps with the following existing entries: [existing entries]. |\n| Critical | A759 | Out Date Time must be greater than In Date Time. |\n| Critical | A760 | Remove Custom Worktag 07. Custom Worktag 07 is not allowed. |\n| Critical | A761 | Remove Custom Organization 08. Custom Organization 08 is not allowed. |\n| Critical | A763 | Remove Custom Organization 09. Custom Organization 09 is not allowed. |\n| Critical | A764 | Remove Custom Worktag 09. Custom Worktag 09 is not allowed. |\n| Critical | A765 | In Time Zone and Out Time Zone are not valid for the time type [Time Entry Code]. Enter a Calendar Date. |\n| Critical | A766 | Remove Custom Worktag 01. Custom Worktag 01 is not allowed. |\n| Critical | A767 | Enter a Custom Organization 06. A Custom Organization 06 is required by the time entry code. |\n| Critical | A768 | Remove Custom Worktag 02. Custom Worktag 02 is not allowed. |\n| Critical | A769 | Enter a Custom Organization 09. A Custom Organization 09 is required by the time entry code. |\n| Critical | A770 | Enter a Custom Worktag 11. A Custom Worktag 11 is required by the time entry code. |\n| Critical | A771 | Enter a Reported Quantity. Reported Quantity is required for time type - [Time Entry Code]. |\n| Critical | A773 | Remove Fund. Fund is not allowed. |\n| Critical | A774 | Remove Custom Worktag 08. Custom Worktag 08 is not allowed. |\n| Critical | A776 | Enter a Custom Worktag 15. A Custom Worktag 15 is required by the time entry code. |\n| Critical | A777 | Remove Grant. Grant is not allowed. |\n| Critical | A778 | The [worktag type] entered for [worker] on [date] is inactive. Remove or replace it to proceed. |\n| Critical | A780 | [worker] cannot use the project, [project], to report the time on [date]. |\n| Critical | A781 | Enter an Out Time Zone. Out Time Zone is required for time type - [time entry code]. |\n| Critical | A783 | Remove Job Profile. Job Profile is not allowed. |\n| Critical | A784 | Remove Custom Organization 03. Custom Organization 03 is not allowed. |\n| Critical | A785 | Enter a Custom Organization 08. A Custom Organization 08 is required by the time entry code. |\n| Critical | A786 | Enter either a Calendar Date or these fields: In Time, Out Time, In Time Zone, Out Time Zone. |\n| Critical | A787 | Enter a Position. Position is required for \\~workers\\~ with multiple positions. |\n| Critical | A788 | Enter a Custom Worktag 03. A Custom Worktag 03 is required by the time entry code. |\n| Critical | A789 | [date] is locked for time entry for [worker]. |\n| Critical | A790 | Remove Custom Organization 06. Custom Organization 06 is not allowed. |\n| Critical | A791 | Enter a Custom Worktag 07. A Custom Worktag 07 is required by the time entry code. |\n| Critical | A792 | Remove Custom Worktag 04. Custom Worktag 04 is not allowed. |\n| Critical | A795 | Remove Custom Worktag 06. Custom Worktag 06 is not allowed. |\n| Critical | A796 | The following worktags are required: [related_required_worktags]. |\n| Critical | A797 | [worker] cannot use the task, [task], to report time on [date]. |\n| Critical | A798 | Enter a \\~Worker\\~. |\n| Critical | A799 | Enter a Custom Worktag 10. A Custom Worktag 10 is required by the time entry code. |\n| Critical | A800 | Enter an In Time Zone. In Time Zone is required for time type - [time entry code]. |\n| Critical | A801 | Enter an In Time. In Time is required for time type - [Time Entry Code]. |\n| Critical | A802 | Enter a Custom Worktag 12. A Custom Worktag 12 is required by the time entry code. |\n| Critical | A803 | Remove Gift. Gift is not allowed. |\n| Critical | A804 | Enter a Custom Organization 01. A Custom Organization 01 is required by the time entry code. |\n| Critical | A805 | Enter a Program. A Program is required by the time entry code. |\n| Critical | A806 | Enter a Custom Worktag 09. A Custom Worktag 09 is required by the time entry code. |\n| Critical | A807 | Remove Custom Worktag 14. Custom Worktag 14 is not allowed. |\n| Critical | A808 | In Time and Out Time are not valid for the time type [Time Entry Code]. Enter a Reported Quantity in [Units]. |\n| Critical | A809 | Enter a Custom Organization 10. A Custom Organization 10 is required by the time entry code. |\n| Critical | A811 | Out Type is not valid for this time type [Time Entry Code]. Enter a Reported Quantity in [Units]. |\n| Critical | A812 | Enter a Calendar Date. Calendar Date is required for time type - [Time Entry Code]. |\n| Critical | A814 | Enter a Custom Organization 03. A Custom Organization 03 is required by the time entry code. |\n| Critical | A815 | Remove Position. Position is not required for \\~Workers\\~ with a single position. |\n| Critical | A815 | The position [position] is not valid for [worker] on [time block reported date]. |\n| Critical | A816 | Enter a Custom Worktag 14. A Custom Worktag 14 is required by the time entry code. |\n| Critical | A817 | Remove Custom Worktag 11. Custom Worktag 11 is not allowed. |\n| Critical | A935 | You are not eligible to enter against the \\~project role\\~. |\n| Critical | A937 | Enter a \\~project role\\~. \\~Project role\\~ is required for \\~workers\\~ with multiple \\~project roles\\~. |\n| Critical | A938 | The field Comment is required and must have a value. |\n| Critical | A952 | You can't use Delete workerTimeBlock API to delete time entries that require a comment. |\n| Critical | A1261 | Enter an Appropriation. An Appropriation is required by the time entry code. |\n| Critical | A1262 | Enter an Allocation Pool. An Allocation Pool is required by the time entry code. |\n| Critical | A1263 | Remove Appropriation. Appropriation is not allowed. |\n| Critical | A1264 | Remove Allocation Pool. Allocation Pool is not allowed. |\n| Critical | A2742 | You can't delete the time block for this worker on [date] because it's a billable transaction that's currently locked: [worker]. |\n| Critical | A3019 | You can't delete the time block for [worker] on [date] because you don't have access to this time entry code: [time entry code]. |\n| Critical | A3083 | You can't create or edit the time block for [worker] on [date] because you don't have access to this time entry code: [time entry code from request]. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "3c3884d77e2f1000086dc71de2c900ab",
        "x-workday-secured-by-domains": [
          "Process: Time Block REST APIs"
        ]
      },
      "patch": {
        "tags": [
          "workers"
        ],
        "summary": "Updates a specified worker time block.",
        "description": "Updates the worker time block for the specified worker with the specified data in the request body. \n\nThe timeEntryCode, project, and projectPlanTask fields are mutually exclusive. You can only specify 1 of these fields in the request body.\n\nFor the timeEntryCode id, you can use a returned id from GET /values/timeTypes/timeEntryCodes, which returns the time entry codes that the given worker is eligible for on the given date. \n\nFor a valid project id, you can use a returned id from GET /values/timeTypes/projects, which you can filter by date and worker.\n\nFor a valid projectPlanTask id, you can use a returned id from GET /values/timeTypes/projectPlanTasks, which you can filter by date, worker, and project.\n\n<b>Secured By Domain:</b> Process: Time Block REST APIs\n\n<b>Scope:</b> Time Tracking",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Worker_Time_Block_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Worker_Time_Block_ID)=\\S+)$"
          },
          {
            "in": "body",
            "name": "timeBlockView",
            "required": true,
            "schema": {
              "$ref": "#/definitions/timeBlockView_18442114504f100016031395a48200ee"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Updating resource.",
            "schema": {
              "$ref": "#/definitions/timeBlockView_18442114504f100016031395a48200ee"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A693 | Remove Custom Organization 07. Custom Organization 07 is not allowed. |\n| Critical | A695 | Enter a Custom Organization 04. A Custom Organization 04 is required by the time entry code. |\n| Critical | A696 | Remove Custom Worktag 15. Custom Worktag 15 is not allowed. |\n| Critical | A697 | Enter a Custom Worktag 13. A Custom Worktag 13 is required by the time entry code. |\n| Critical | A699 | Period schedule does not exist for the \\~worker\\~, [worker], as of [date]. |\n| Critical | A701 | Enter a Custom Worktag 02. A Custom Worktag 02 is required by the time entry code. |\n| Critical | A702 | Out Type [Out Type] is not valid for this time type [Time Entry Code]. Enter a valid Out Type. |\n| Critical | A703 | Remove Custom Organization 02. Custom Organization 02 is not allowed. |\n| Critical | A704 | More than 24 hours have been reported by the \\~worker\\~, [worker], on [date]. |\n| Critical | A705 | The field Out Reason is required and must have a value. |\n| Critical | A706 | You can only edit user entered time blocks. |\n| Critical | A707 | Time Entry Code [tec] is not valid for [worker]. |\n| Critical | A708 | Remove Override Rate. Override Rate is not allowed by the time entry code. |\n| Critical | A710 | Enter a Custom Worktag 01. A Custom Worktag 01 is required by the time entry code. |\n| Critical | A711 | Remove Custom Worktag 03. Custom Worktag 03 is not allowed. |\n| Critical | A712 | Enter a Location. A Location is required by the time entry code. |\n| Critical | A713 | Remove Custom Worktag 10. Custom Worktag 10 is not allowed. |\n| Critical | A714 | Enter a Custom Worktag 04. A Custom Worktag 04 is required by the time entry code. |\n| Critical | A716 | Remove Project Plan Task because the time entry template is not configured for project time entry. |\n| Critical | A717 | Enter a Custom Organization 02. A Custom Organization 02 is required by the time entry code. |\n| Critical | A718 | Reported Quantity can't be changed because the time type [Time Entry Code] is In/Out Time only. Enter an In Time and Out Time. |\n| Critical | A720 | Enter true in the Do Not Bill field. The reported project is not billable. |\n| Critical | A721 | Remove Cost Center. Cost Center is not allowed. |\n| Critical | A722 | Enter a Job Profile. A Job Profile is required by the time entry code. |\n| Critical | A723 | Remove Custom Worktag 13. Custom Worktag 13 is not allowed. |\n| Critical | A724 | Enter a Custom Worktag 06. A Custom Worktag 06 is required by the time entry code. |\n| Critical | A725 | Enter a Cost Center. A Cost Center is required by the time entry code. |\n| Critical | A726 | In time date must match calendar date. |\n| Critical | A727 | Remove Custom Organization 01. Custom Organization 01 is not allowed. |\n| Critical | A728 | Remove Custom Worktag 12. Custom Worktag 12 is not allowed. |\n| Critical | A729 | Remove Custom Organization 10. Custom Organization 10 is not allowed. |\n| Critical | A730 | Remove Region. Region is not allowed. |\n| Critical | A731 | Enter a Custom Organization 05. A Custom Organization 05 is required by the time entry code. |\n| Critical | A732 | Enter a Region. A Region is required by the time entry code. |\n| Critical | A734 | Time Entry Template does not exist for the \\~worker\\~, [worker], as of [date]. |\n| Critical | A736 | Enter an Out Time. Out Time is required for time type - [Time Entry Code]. |\n| Critical | A737 | The Worker in the URL must match [worker]. |\n| Critical | A738 | Remove Custom Organization 05. Custom Organization 05 is not allowed. |\n| Critical | A739 | Enter a Gift. A Gift is required by the time entry code. |\n| Critical | A740 | Remove Location. Location is not allowed. |\n| Critical | A741 | Enter a Custom Organization 07. A Custom Organization 07 is required by the time entry code. |\n| Critical | A742 | Remove Business Unit. Business Unit is not allowed. |\n| Critical | A743 | Remove Project because the time entry template is not configured for project time entry. |\n| Critical | A744 | Hours must be entered in increments as specified on Time Entry Code [Time Entry Code] for [Worker]. |\n| Critical | A745 | Any time which crosses [week breaker] must be entered as two separate blocks. Enter one block before [week breaker] and one after. |\n| Critical | A746 | Remove Program. Program is not allowed. |\n| Critical | A747 | Enter a Custom Worktag 05. A Custom Worktag 05 is required by the time entry code. |\n| Critical | A748 | Remove Custom Organization 04. Custom Organization 04 is not allowed. |\n| Critical | A750 | Enter a Grant. A Grant is required by the time entry code. |\n| Critical | A751 | Remove Custom Worktag 05. Custom Worktag 05 is not allowed. |\n| Critical | A752 | Edit either a Time Entry Code, Project, or Project Plan Task. |\n| Critical | A753 | Enter a Fund. A Fund is required by the time entry code. |\n| Critical | A754 | The following worktags are not enabled for self-service edit in worker's time entry template: [worktags not enabled]. |\n| Critical | A755 | Enter a Custom Worktag 08. A Custom Worktag 08 is required by the time entry code. |\n| Critical | A756 | Worker can't be changed. |\n| Critical | A757 | Enter a Business Unit. A Business Unit is required by the time entry code. |\n| Critical | A758 | Time overlaps with existing time. You entered [in time] - [out time], which overlaps with the following existing entries: [existing entries]. |\n| Critical | A759 | Out Date Time must be greater than In Date Time. |\n| Critical | A760 | Remove Custom Worktag 07. Custom Worktag 07 is not allowed. |\n| Critical | A761 | Remove Custom Organization 08. Custom Organization 08 is not allowed. |\n| Critical | A763 | Remove Custom Organization 09. Custom Organization 09 is not allowed. |\n| Critical | A764 | Remove Custom Worktag 09. Custom Worktag 09 is not allowed. |\n| Critical | A765 | In Time Zone and Out Time Zone are not valid for the time type [Time Entry Code]. Enter a Calendar Date. |\n| Critical | A766 | Remove Custom Worktag 01. Custom Worktag 01 is not allowed. |\n| Critical | A767 | Enter a Custom Organization 06. A Custom Organization 06 is required by the time entry code. |\n| Critical | A768 | Remove Custom Worktag 02. Custom Worktag 02 is not allowed. |\n| Critical | A769 | Enter a Custom Organization 09. A Custom Organization 09 is required by the time entry code. |\n| Critical | A770 | Enter a Custom Worktag 11. A Custom Worktag 11 is required by the time entry code. |\n| Critical | A771 | Enter a Reported Quantity. Reported Quantity is required for time type - [Time Entry Code]. |\n| Critical | A772 | Calendar Date can't be changed on the time block. |\n| Critical | A773 | Remove Fund. Fund is not allowed. |\n| Critical | A774 | Remove Custom Worktag 08. Custom Worktag 08 is not allowed. |\n| Critical | A776 | Enter a Custom Worktag 15. A Custom Worktag 15 is required by the time entry code. |\n| Critical | A777 | Remove Grant. Grant is not allowed. |\n| Critical | A778 | The [worktag type] entered for [worker] on [date] is inactive. Remove or replace it to proceed. |\n| Critical | A780 | [worker] cannot use the project, [project], to report the time on [date]. |\n| Critical | A781 | Enter an Out Time Zone. Out Time Zone is required for time type - [time entry code]. |\n| Critical | A783 | Remove Job Profile. Job Profile is not allowed. |\n| Critical | A784 | Remove Custom Organization 03. Custom Organization 03 is not allowed. |\n| Critical | A785 | Enter a Custom Organization 08. A Custom Organization 08 is required by the time entry code. |\n| Critical | A786 | Enter either a Calendar Date or these fields: In Time, Out Time, In Time Zone, Out Time Zone. |\n| Critical | A787 | Enter a Position. Position is required for \\~workers\\~ with multiple positions. |\n| Critical | A788 | Enter a Custom Worktag 03. A Custom Worktag 03 is required by the time entry code. |\n| Critical | A789 | [date] is locked for time entry for [worker]. |\n| Critical | A790 | Remove Custom Organization 06. Custom Organization 06 is not allowed. |\n| Critical | A791 | Enter a Custom Worktag 07. A Custom Worktag 07 is required by the time entry code. |\n| Critical | A792 | Remove Custom Worktag 04. Custom Worktag 04 is not allowed. |\n| Critical | A795 | Remove Custom Worktag 06. Custom Worktag 06 is not allowed. |\n| Critical | A796 | The following worktags are required: [related_required_worktags]. |\n| Critical | A797 | [worker] cannot use the task, [task], to report time on [date]. |\n| Critical | A798 | Enter a \\~Worker\\~. |\n| Critical | A799 | Enter a Custom Worktag 10. A Custom Worktag 10 is required by the time entry code. |\n| Critical | A800 | Enter an In Time Zone. In Time Zone is required for time type - [time entry code]. |\n| Critical | A801 | Enter an In Time. In Time is required for time type - [Time Entry Code]. |\n| Critical | A802 | Enter a Custom Worktag 12. A Custom Worktag 12 is required by the time entry code. |\n| Critical | A803 | Remove Gift. Gift is not allowed. |\n| Critical | A804 | Enter a Custom Organization 01. A Custom Organization 01 is required by the time entry code. |\n| Critical | A805 | Enter a Program. A Program is required by the time entry code. |\n| Critical | A806 | Enter a Custom Worktag 09. A Custom Worktag 09 is required by the time entry code. |\n| Critical | A807 | Remove Custom Worktag 14. Custom Worktag 14 is not allowed. |\n| Critical | A808 | In Time and Out Time are not valid for the time type [Time Entry Code]. Enter a Reported Quantity in [Units]. |\n| Critical | A809 | Enter a Custom Organization 10. A Custom Organization 10 is required by the time entry code. |\n| Critical | A811 | Out Type is not valid for this time type [Time Entry Code]. Enter a Reported Quantity in [Units]. |\n| Critical | A812 | Enter a Calendar Date. Calendar Date is required for time type - [Time Entry Code]. |\n| Critical | A814 | Enter a Custom Organization 03. A Custom Organization 03 is required by the time entry code. |\n| Critical | A815 | Remove Position. Position is not required for \\~Workers\\~ with a single position. |\n| Critical | A815 | The position [position] is not valid for [worker] on [time block reported date]. |\n| Critical | A816 | Enter a Custom Worktag 14. A Custom Worktag 14 is required by the time entry code. |\n| Critical | A817 | Remove Custom Worktag 11. Custom Worktag 11 is not allowed. |\n| Critical | A935 | You are not eligible to enter against the \\~project role\\~. |\n| Critical | A936 | You cannot enter a \\~project role\\~. |\n| Critical | A937 | Enter a \\~project role\\~. \\~Project role\\~ is required for \\~workers\\~ with multiple \\~project roles\\~. |\n| Critical | A938 | The field Comment is required and must have a value. |\n| Critical | A946 | This time entry is locked for revenue purposes. |\n| Critical | A1261 | Enter an Appropriation. An Appropriation is required by the time entry code. |\n| Critical | A1262 | Enter an Allocation Pool. An Allocation Pool is required by the time entry code. |\n| Critical | A1263 | Remove Appropriation. Appropriation is not allowed. |\n| Critical | A1264 | Remove Allocation Pool. Allocation Pool is not allowed. |\n| Critical | A3038 | You can't edit the time block for [worker] on [date] because you don't have access to this time entry code: [time entry code on the time block]. |\n| Critical | A3083 | You can't create or edit the time block for [worker] on [date] because you don't have access to this time entry code: [time entry code from request]. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "e8387945b166100017f3a1bbb30600f4",
        "x-workday-secured-by-domains": [
          "Process: Time Block REST APIs"
        ]
      }
    },
    "/workers/{ID}/timeTotals": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves a summary of reported hours for a worker over a period.",
        "description": "Retrieves a summary of reported hours for a worker over a period. The period contains the specified date or, if not specified, it contains today's date.\n\n<b>Secured By Domain:</b> Process: Time Block REST APIs, Process: Time Clock Event REST API's\n\n<b>Scope:</b> Time Tracking",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "periodDate",
            "in": "query",
            "description": "Contains the specified date used to match to a period containing the date. The default is today's date.",
            "required": false,
            "type": "string",
            "format": "date"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/periodTotalSummary_c649d8a6912a10000d519b738a2c0070"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "177cde337c80100033390ff6f590001e",
        "x-workday-secured-by-domains": [
          "Process: Time Block REST APIs",
          "Process: Time Clock Event REST API's"
        ]
      }
    },
    "/workerTimeBlocks/{ID}": {
      "get": {
        "tags": [
          "workerTimeBlocks"
        ],
        "summary": "Retrieves a worker time block.",
        "description": "Retrieves a worker time block with the specified ID.\n\n<b>Secured By Domain:</b> Process: Time Block REST APIs\n\n<b>Scope:</b> Time Tracking",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Worker_Time_Block_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Worker_Time_Block_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/timeBlockView_18442114504f100016031395a48200ee"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "c56c2303fe6b1000116402a0024f00ea",
        "x-workday-secured-by-domains": [
          "Process: Time Block REST APIs"
        ]
      }
    },
    "/workers/{ID}/timeReviewEvents": {
      "post": {
        "tags": [
          "workers"
        ],
        "summary": "Adds time review events for the specified worker.",
        "description": "Creates a time review event for the specified worker. This endpoint is typically used by managers or administrators to submit time on behalf of workers, or by workers themselves to submit their own time for approval.\n\nSpecify these required fields in the request body:\n\n* date: the date that constructs the Time Review Event. The date is used to create Time Review Events for the Period or Week, depending on how that worker's Time Entry Template is configured.\n\nAdditional optional field:\n\n* comment: comment related to the business process that persists on each Time Review Event. Comments are not allowed if disabled on the Enter Time business process.\n\nTo get more information about Administrator-configured critical time validations, use the GET /timeValidations operation.\n\nThis operation is equivalent to the Submit Time task in the Workday UI. The same validations and business rules apply. This includes any configured approvals, notifications, and audit trails.\n\nSample Request:\n```\n{\n  \"date\": \"2024-01-26\",\n  \"comment\": \"Submitting time for approval.\"\n}\n```\n\n<b>Secured By Domain:</b> Manager: Time Tracking Manager Approval, Manager: Time Tracking Manager Edit and Approve\n\n<b>Secured By Business Process Type:</b> Enter Time\n\n<b>Scope:</b> Time Tracking, Time Tracking Hub",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "in": "body",
            "name": "timeReviewEventContainerView",
            "required": true,
            "schema": {
              "$ref": "#/definitions/timeReviewEventContainerView_025a35898dab10000c71121b930a1715"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Resource created.",
            "schema": {
              "$ref": "#/definitions/timeReviewEventContainerView_025a35898dab10000c71121b930a1715"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A188 | You can't submit a comment because comments are disabled on this business process. |\n| Critical | A699 | Period Schedule does not exist for the \\~worker\\~, [worker], as of [date]. |\n| Critical | A734 | Time Entry Template does not exist for the \\~worker\\~, [worker], as of [date]. |\n| Critical | A789 | [date] is locked for time entry for [worker]. |\n| Critical | A947 | Specify a date to Submit Time. |\n| Critical | A948 | No Time Blocks or Time Off to Submit exist in the period containing [date]. Enter Time in this period or specify a date that contains Time to Submit. |\n| Critical | A949 | The period containing [date] caused Critical Time validation errors. To see details about the errors, use the Enter Time Calendar task. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "025a35898dab10000be542924fda16bf",
        "x-workday-secured-by-domains": [
          "Manager: Time Tracking Manager Approval",
          "Manager: Time Tracking Manager Edit and Approve"
        ],
        "x-workday-secured-by-business-process-types": [
          "Enter Time"
        ]
      }
    },
    "/timeClockEvents": {
      "get": {
        "tags": [
          "timeClockEvents"
        ],
        "summary": "Retrieves a collection of time clock events for a worker for a date range.",
        "description": "Retrieves a collection of time clock events. You can filter by the time clock events by worker and date range.\n\n<b>Secured By Domain:</b> Process: Time Clock Event REST API's\n\n<b>Scope:</b> Time Tracking",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "fromDate",
            "in": "query",
            "description": "The start date of the time event using the yyyy-mm-dd format.",
            "required": false,
            "type": "string",
            "format": "date"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "toDate",
            "in": "query",
            "description": "The end date of the time event using the yyyy-mm-dd format.",
            "required": false,
            "type": "string",
            "format": "date"
          },
          {
            "name": "worker",
            "in": "query",
            "description": "The Workday ID of the worker for the time block or clock event. You can specify multiple worker query parameters.",
            "required": false,
            "type": "array",
            "items": {
              "type": "string"
            },
            "collectionFormat": "multi"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/timeClockEventView_3e3738572cc010000fdfe310d0900010"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A693 | Remove customOrganization07. CustomOrganization07 is not allowed on check-out. |\n| Critical | A693 | Remove customOrganization07. CustomOrganization07 is not allowed. |\n| Critical | A696 | Remove customWorktag15. CustomWorktag15 is not allowed on check-out. |\n| Critical | A696 | Remove customWorktag15. CustomWorktag15 is not allowed. |\n| Critical | A698 | Enter a dateTime. |\n| Critical | A702 | Enter a different eventType. [Punch Type] is not an allowed eventType. |\n| Critical | A703 | Remove customOrganization02. CustomOrganization02 is not allowed on check-out. |\n| Critical | A703 | Remove customOrganization02. CustomOrganization02 is not allowed. |\n| Critical | A705 | Enter an eventType. |\n| Critical | A707 | [Time Entry Code] is not an allowed timeEntryCode. |\n| Critical | A708 | Remove overrideRate. OverrideRate is not allowed by the time entry code. |\n| Critical | A708 | Remove overrideRate. OverrideRate is not allowed on check-out. |\n| Critical | A711 | Remove customWorktag03. CustomWorktag03 is not allowed on check-out. |\n| Critical | A711 | Remove customWorktag03. CustomWorktag03 is not allowed. |\n| Critical | A713 | Remove customWorktag10. CustomWorktag10 is not allowed on check-out. |\n| Critical | A713 | Remove customWorktag10. CustomWorktag10 is not allowed. |\n| Critical | A715 | Remove project or projectPlanTask. The time entry template is not configured for project time entry. |\n| Critical | A716 | Remove projectPlanTask because the time entry template is not configured for project time entry. |\n| Critical | A716 | Remove projectPlanTask. ProjectPlanTask is not allowed on check-out. |\n| Critical | A721 | Remove costCenter. CostCenter is not allowed on check-out. |\n| Critical | A721 | Remove costCenter. CostCenter is not allowed. |\n| Critical | A723 | Remove customWorktag13. CustomWorktag13 is not allowed on check-out. |\n| Critical | A723 | Remove customWorktag13. CustomWorktag13 is not allowed. |\n| Critical | A727 | Remove customOrganization01. CustomOrganization01 is not allowed on check-out. |\n| Critical | A727 | Remove customOrganization01. CustomOrganization01 is not allowed. |\n| Critical | A728 | Remove customWorktag12. CustomWorktag12 is not allowed on check-out. |\n| Critical | A728 | Remove customWorktag12. CustomWorktag12 is not allowed. |\n| Critical | A729 | Remove customOrganization10. CustomOrganization10 is not allowed on check-out. |\n| Critical | A729 | Remove customOrganization10. CustomOrganization10 is not allowed. |\n| Critical | A730 | Remove region. Region is not allowed on check-out. |\n| Critical | A730 | Remove region. Region is not allowed. |\n| Critical | A738 | Remove customOrganization05. CustomOrganization05 is not allowed on check-out. |\n| Critical | A738 | Remove customOrganization05. CustomOrganization05 is not allowed. |\n| Critical | A740 | Remove location. Location is not allowed on check-out. |\n| Critical | A740 | Remove location. Location is not allowed. |\n| Critical | A742 | Remove businessUnit. BusinessUnit is not allowed on check-out. |\n| Critical | A742 | Remove businessUnit. BusinessUnit is not allowed. |\n| Critical | A743 | Remove project because the time entry template is not configured for project time entry. |\n| Critical | A743 | Remove project. Project is not allowed on check-out. |\n| Critical | A746 | Remove program. Program is not allowed on check-out. |\n| Critical | A746 | Remove program. Program is not allowed. |\n| Critical | A748 | Remove customOrganization04. CustomOrganization04 is not allowed on check-out. |\n| Critical | A748 | Remove customOrganization04. CustomOrganization04 is not allowed. |\n| Critical | A749 | When
[...]
